# upstream release tarball is a snapshot-style one
%define snapshot 0
%define rel	1

# REV=$(svn info https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module| sed -ne 's/^Last Changed Rev: //p')
# svn export -r $REV https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module vhba-module-$REV
# tar -cJf vhba-module-$REV.tar.xz vhba-module-$REV

Summary:	Virtual SCSI HBA kernel module
%define module	vhba
%define oname	vhba-module
Name:		dkms-vhba
Version:	20240202
%if %snapshot
Release:	%mkrel 0.%{snapshot}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
%if %snapshot
Source0:	%{oname}-%{snapshot}.tar.xz
%else
Source0:	https://downloads.sourceforge.net/cdemu/%{oname}-%{version}.tar.xz
%endif
Source1:	60-vhba.rules
BuildArch:	noarch
Provides:	kmod(vhba.ko) = %{version}
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms

%description
Virtual SCSI HBA kernel module. The vhba module is used by cdemu.

%prep
%if %snapshot
%setup -q -n %{oname}-%{snapshot}
%else
%setup -q -n %{oname}-%{version}
%endif

%build

%install
install -d -m755 %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}
cp -r * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/%{module}"
BUILT_MODULE_NAME[0]="%{module}"
MAKE[0]="make KDIR=\${kernel_source_dir}"
AUTOINSTALL="yes"
EOF
sed -i 's/-Werror//' %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/Makefile

install -Dp -m0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/60-vhba.rules

%post
dkms add	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove  -m %{module} -v %{version}-%{release} --all --rpm_safe_upgrade
true

%files
%{_usrsrc}/%{module}-%{version}-%{release}
%{_udevrulesdir}/60-vhba.rules


%changelog
* Sun Aug 04 2024 daviddavid <daviddavid> 20240202-1.mga10
+ Revision: 2083601
- new version: 20240202

* Mon Mar 27 2023 daviddavid <daviddavid> 20211218-2.mga9
+ Revision: 1950460
- add a udevrules config file

* Wed Nov 16 2022 daviddavid <daviddavid> 20211218-1.mga9
+ Revision: 1908210
- new version: 20211218

* Mon Mar 21 2022 umeabot <umeabot> 20210418-2.mga9
+ Revision: 1814421
- Mageia 9 Mass Rebuild

* Sat May 01 2021 daviddavid <daviddavid> 20210418-1.mga9
+ Revision: 1720771
- new version: 20210418

* Thu Feb 20 2020 umeabot <umeabot> 20200106-2.mga8
+ Revision: 1546220
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 20200106-1.mga8
+ Revision: 1486191
- new version: 20200106

* Fri Oct 11 2019 daviddavid <daviddavid> 20190831-1.mga8
+ Revision: 1451605
- new version: 20190831

* Fri Aug 30 2019 daviddavid <daviddavid> 20190827-1.mga8
+ Revision: 1435496
- new version: 20190827

* Tue May 14 2019 daviddavid <daviddavid> 20190410-1.mga7
+ Revision: 1397738
- new version: 20190410 (kernel 5.1+ support)

* Wed Mar 06 2019 daviddavid <daviddavid> 20190302-1.mga7
+ Revision: 1371796
- new version: 20190302

* Thu Sep 20 2018 umeabot <umeabot> 20170610-2.mga7
+ Revision: 1278028
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 daviddavid <daviddavid> 20170610-1.mga7
+ Revision: 1184204
- new version: 20170610

* Sat Nov 12 2016 daviddavid <daviddavid> 20161009-1.mga6
+ Revision: 1066723
- new version: 20161009

* Sun Oct 09 2016 daviddavid <daviddavid> 20140928-1.mga6
+ Revision: 1059789
- new version: 20140928

* Mon Feb 01 2016 umeabot <umeabot> 20120422-7.mga6
+ Revision: 930766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20120422-6.mga5
+ Revision: 750926
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tmb <tmb> 20120422-5.mga5
+ Revision: 724159
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 20120422-4.mga5
+ Revision: 678766
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20120422-3.mga4
+ Revision: 502365
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 alien <alien> 20120422-2.mga4
+ Revision: 502289
- Make deprecation warning non-fatal for compilation

* Fri Sep 14 2012 mitya <mitya> 20120422-1.mga3
+ Revision: 293785
- New version 20120422

* Sat Dec 03 2011 anssi <anssi> 20110915-1.mga2
+ Revision: 175621
- new version
  o fixes kernel oops when trying to use it (bug #3252)
- change rpm versioning to better reflect upstream versioning

* Sat Jan 15 2011 anssi <anssi> 1.2.1-4.20100822.1.mga1
+ Revision: 19788
- imported package dkms-vhba


* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.2.1-4.20100822.1mdv2011.0
+ Revision: 575727
- new version 20100822
- drop patches for kernel compatibility, fixed upstream

* Mon Aug 16 2010 Pascal Terjan <pterjan@mandriva.org> 1.2.1-4mdv2011.0
+ Revision: 570620
- Add missing include (#60674)

* Sun Mar 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.2.1-3mdv2010.1
+ Revision: 525984
- P0 to let new kernels

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 1.2.1-2mdv2009.1
+ Revision: 345909
- rebuild due to missing packages

* Mon Jan 26 2009 Guillaume Bedot <littletux@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 333900
- Release 1.2.1

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn304.1mdv2009.0
+ Revision: 196900
- initial Mandriva release

